/* ftw.h -- ftw() using lstat() instead of stat() */

/* 
 * borrowed out of the rpm package.  [supposedly this part is under lgpl]
 */

#ifndef _GDAM_FTW_H_
#define _GDAM_FTW_H_

/* The FLAG argument to the user function passed to ftw.  */
#define FTW_F		0		/* Regular file.  */
#define FTW_D		1		/* Directory.  */
#define FTW_DNR	2		/* Unreadable directory.  */
#define FTW_NS	3		/* Unstatable file.  */

int ftw (const char *dir,
	   int (*func) (const char *file,
			const struct stat *status,
			int flag),
	   int descriptors);

#endif /* _GDAM_FTW_H_ */
