/*
    GDAM - Geoff & Dave's Audio Mixer
    Copyright (C) 1999    Dave Benson, Geoff Matters.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA

    Contact:
        daveb@ffem.org <Dave Benson>
        geoff@ugcs.caltech.edu <Geoff Matters>
*/

#ifndef __GDAM_SKIN_BINDING_FILE_H_
#define __GDAM_SKIN_BINDING_FILE_H_

#include <gnome-xml/tree.h>
#include <gdam/component/gdammodel.h>
#include "gdamskin.h"

/* XXX this file [and functions] must be renamed... */

/* Under `Gdam-Binding-Interface' */
gboolean gdam_skin_binding_file_process    (xmlNode*      nodes, 
                                            GdamSkin*     skin);

/* Under `Gdam-Trap-Descriptions' */
gboolean gdam_skin_description_file_process(xmlNode*      xml_node);
#endif
