(gain ((double volume) (stream filtered)) "Changes the volume of the stream FILTERED by a factor of VOLUME.")
(linear-envelope ((double-array time-volume-pairs)) "Create an envelop which have the shape of a sequence
of trapezoids; the corners of consecutive trapezoids
coincide and are specified as time,volume pairs in
the (flattened) array TIME-VOLUME-PAIRS.
For example:
    0 0  1 1  2 0                             is a triangle.
    0 0  0.5 0  0.5 1  1.5 1  1.5 0  2 0      is a square pulse.")
(modulate ((stream-array modulated)) "Multiply all the inputs from MODULATED together, ending when
the first one ends.")
(mix ((stream-array mixed)) "Add all the inputs from MIXED together, ending when
the first one ends.")
(sine ((double frequency)) "Create an infinite sine-wave of the specified frequency.")
